summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-admin/eselect-ctags')
-rw-r--r--app-admin/eselect-ctags/ChangeLog10
-rw-r--r--app-admin/eselect-ctags/Manifest3
-rw-r--r--app-admin/eselect-ctags/eselect-ctags-9999.ebuild28
-rw-r--r--app-admin/eselect-ctags/metadata.xml5
4 files changed, 46 insertions, 0 deletions
diff --git a/app-admin/eselect-ctags/ChangeLog b/app-admin/eselect-ctags/ChangeLog
new file mode 100644
index 0000000..1e285f0
--- /dev/null
+++ b/app-admin/eselect-ctags/ChangeLog
@@ -0,0 +1,10 @@
+# ChangeLog for app-admin/eselect-ctags
+# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*eselect-ctags-1.3 (30 Apr 2008)
+
+ 30 Apr 2008; Ulrich Mueller <ulm@gentoo.org> +metadata.xml,
+ +eselect-ctags-9999.ebuild:
+ Live SVN ebuild.
+
diff --git a/app-admin/eselect-ctags/Manifest b/app-admin/eselect-ctags/Manifest
new file mode 100644
index 0000000..06ec9f9
--- /dev/null
+++ b/app-admin/eselect-ctags/Manifest
@@ -0,0 +1,3 @@
+EBUILD eselect-ctags-9999.ebuild 745 RMD160 6eecf92e559e1def43b11e0d657a9e467690a335 SHA1 0d4e55ece4dea36718df6ee9a21815e44895d074 SHA256 681eaacaf13799965cd568f9651f63a034e9bc45884033c56ee0b42cd575fd9e
+MISC ChangeLog 270 RMD160 1b133ed0d82f9a1f57919b71b274c80b3a585cdb SHA1 fa6aed710cab5343f285cc9ecf58d40687eb1070 SHA256 bd7f00c899e28a36870a6b7e1faf28d0d808c24c09f5d0fc0b5004b609a5f669
+MISC metadata.xml 158 RMD160 415d172437ca754d24fc5ab186ba8e77934d96e4 SHA1 61f6eff9729cd87a725c2a70c81aca4270a17fc4 SHA256 1393bdef3a74343fdb40a112c7096a1af16f67e7a43413250de28dfe73810eab
diff --git a/app-admin/eselect-ctags/eselect-ctags-9999.ebuild b/app-admin/eselect-ctags/eselect-ctags-9999.ebuild
new file mode 100644
index 0000000..f80d56a
--- /dev/null
+++ b/app-admin/eselect-ctags/eselect-ctags-9999.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit subversion
+
+MY_PN="eselect-emacs"
+DESCRIPTION="Manages ctags implementations"
+HOMEPAGE="http://www.gentoo.org/proj/en/lisp/emacs/"
+#SRC_URI="mirror://gentoo/${MY_P}.tar.bz2"
+ESVN_REPO_URI="svn://anonsvn.gentoo.org/emacs/${MY_PN}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
+IUSE=""
+
+DEPEND=""
+RDEPEND=">=app-admin/eselect-1.0.10
+ !<=app-admin/eselect-emacs-1.3"
+
+S="${WORKDIR}/${MY_PN}"
+
+src_install() {
+ insinto /usr/share/eselect/modules
+ doins ctags.eselect || die "doins failed"
+ doman ctags.eselect.5 || die "doman failed"
+}
diff --git a/app-admin/eselect-ctags/metadata.xml b/app-admin/eselect-ctags/metadata.xml
new file mode 100644
index 0000000..bc306fe
--- /dev/null
+++ b/app-admin/eselect-ctags/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>emacs</herd>
+</pkgmetadata>